<?php
/**
*
* @package - Board3portal Who is on mChat
* @copyright (c) Board3 Group ( www.board3.de )
* @copyright (c) 2013 Kirk http://www.quad-atv-freunde-wunsiedel.de
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package Custom
*/
class portal_who_is_on_mchat_module
{
	/**
	* Allowed columns: Just sum up your options (Exp: left + right = 10)
	* top		1
	* left		2
	* center	4
	* right		8
	* bottom	16
	*/
	public $columns = 31;

	/**
	* Default modulename
	*/
	public $name = 'PORTAL_WHO_IS_ON_MCHAT';

	/**
	* Default module-image:
	* file must be in "{T_THEME_PATH}/images/portal/"
	*/
	public $image_src = 'portal_chat.png';

	/**
	* module-language file
	* file must be in "language/{$user->lang}/mods/portal/"
	*/
	public $language = 'portal_who_is_on_mchat_module';
	
	/**
	* custom acp template
	* file must be in "adm/style/portal/"
	*/
	public $custom_acp_tpl = '';

	public function get_template_side($module_id)
	{
		global $config, $template, $phpbb_root_path, $phpEx, $auth, $user, $cache, $db;

$mchat_installed = (!empty($config['mchat_version']) && !empty($config['mchat_enable'])) ? true : false;
if ($mchat_installed && $auth->acl_get('u_mchat_view'))
{
	if(!defined('MCHAT_INCLUDE') && $config['mchat_on_index'] && !empty($user->data['user_mchat_index']))
	{
		define('MCHAT_INCLUDE', true);
		$mchat_include_index = true;
		include($phpbb_root_path . 'mchat.' . $phpEx);
	}	

	if (!empty($config['mchat_stats_index']) && !empty($user->data['user_mchat_stats_index']))
	{
		if (!function_exists('mchat_users'))
		{
			include($phpbb_root_path . 'includes/functions_mchat.' . $phpEx);
		}
		// Add lang file
		$user->add_lang('mods/mchat_lang');
		// stats display
		$mchat_session_time = !empty($config_mchat['timeout']) ? $config_mchat['timeout'] : 3600;// you can change this number to a greater number for longer chat sessions
		$mchat_stats = mchat_users($mchat_session_time);
		$template->assign_vars(array(
			'MCHAT_INDEX_STATS'	=> true,
			'MCHAT_INDEX_USERS_COUNT'	=> $mchat_stats['mchat_users_count'],
			'MCHAT_INDEX_USERS_LIST'	=> $mchat_stats['online_userlist'],
			'L_MCHAT_ONLINE_EXPLAIN'	=> $mchat_stats['refresh_message'],	
		));
	}
}
		return 'who_is_on_mchat_side.html';
	}

	public function get_template_center($module_id)
	{
		global $config, $template, $phpbb_root_path, $phpEx, $auth, $user, $cache, $db;

$mchat_installed = (!empty($config['mchat_version']) && !empty($config['mchat_enable'])) ? true : false;
if ($mchat_installed && $auth->acl_get('u_mchat_view'))
{
	if(!defined('MCHAT_INCLUDE') && $config['mchat_on_index'] && !empty($user->data['user_mchat_index']))
	{
		define('MCHAT_INCLUDE', true);
		$mchat_include_index = true;
		include($phpbb_root_path . 'mchat.' . $phpEx);
	}	

	if (!empty($config['mchat_stats_index']) && !empty($user->data['user_mchat_stats_index']))
	{
		if (!function_exists('mchat_users'))
		{
			include($phpbb_root_path . 'includes/functions_mchat.' . $phpEx);
		}
		// Add lang file
		$user->add_lang('mods/mchat_lang');
		// stats display
		$mchat_session_time = !empty($config_mchat['timeout']) ? $config_mchat['timeout'] : 3600;// you can change this number to a greater number for longer chat sessions
		$mchat_stats = mchat_users($mchat_session_time);
		$template->assign_vars(array(
			'MCHAT_INDEX_STATS'	=> true,
			'MCHAT_INDEX_USERS_COUNT'	=> $mchat_stats['mchat_users_count'],
			'MCHAT_INDEX_USERS_LIST'	=> $mchat_stats['online_userlist'],
			'L_MCHAT_ONLINE_EXPLAIN'	=> $mchat_stats['refresh_message'],	
		));
	}
}
		return 'who_is_on_mchat_center.html';
	}

	public function get_template_acp($module_id)
	{
		return array(
			'title'	=> 'PORTAL_WHO_IS_ON_MCHAT',
			'vars'	=> array(),
		);
	}

	/**
	* API functions
	*/
	public function install($module_id)
	{
		return true;
	}

	public function uninstall($module_id)
	{
		return true;
	}
}
